Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List all units a user is part of.

List all units a user is part of. Get all organizational units the given user is part of.

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/orgstructure/users/{userId}
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

userIdstringerforderlich

ID of user

Antworten
200

Organizational units the given user is part of

Array von OrgUnit
breadcrumbsBreadcrumb[]erforderlich
Eigenschaften anzeigen
Array von Breadcrumb
idstringerforderlich
namestringerforderlich
deputystring[]erforderlich
descriptionLocalizedFormattedText[]erforderlich
Eigenschaften anzeigen
Array von LocalizedFormattedText
formatTextFormaterforderlich
Erlaubt:BBCodeHTMLPlainText
textLocalizedStringerforderlich
Eigenschaften anzeigen
translationsStringTranslation[]erforderlich
valuestring
explicitRoleIdsstring[]erforderlich
externalbooleanerforderlich
idstring
membersstring[]erforderlich
parentIdstring
responsiblestring[]erforderlich
titleLocalizedStringerforderlich
Eigenschaften anzeigen
translationsStringTranslation[]erforderlich
Eigenschaften anzeigen
Array von StringTranslation
languagestringerforderlich
valuestring
valuestring
typestringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://goto.bpanda.com/api/v1/warehouses/string/orgstructure/users/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json'
Antwort
[
  {
    "breadcrumbs": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "deputy": [
      "string"
    ],
    "description": [
      {
        "format": "BBCode",
        "text": {
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ],
          "value": "string"
        }
      }
    ],
    "explicitRoleIds": [
      "string"
    ],
    "external": true,
    "id": "string",
    "members": [
      "string"
    ],
    "parentId": "string",
    "responsible": [
      "string"
    ],
    "title": {
      "translations": [
        {
          "language": "string",
          "value": "string"
        }
      ],
      "value": "string"
    },
    "type": "string"
  }
]

War diese Seite hilfreich?